Subject: bug#14333: 24.3.50; Emacs hangs when trying to exit

From: Dani Moncayo <[email-masked]>
Date: Wed, 11 Sep 2013 10:44:26 +0200

> I installed what should hopefully fix this.  Please see if things are
> better after trunk revision 114068.

Mmmm I'm sorry to report that I just got another hung session even
with that fix applied.

TID: 3436
State: Wait:UserRequest
Stack:
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0xf5
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x429
ntdll.dll!RtlIsDosDeviceName_U+0x24c87
ntdll.dll!LdrInitializeThunk+0xe
ntdll.dll!ZwWaitForMultipleObjects+0x15
kernel32.dll!BaseThreadInitThunk+0x12
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36

TID: 5784
State: Wait:WrUserRequest
Stack:
wow64win.dll+0x3fe3a
wow64win.dll+0x1aea8
wow64.dll!Wow64SystemServiceEx+0xd7
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x2d
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x429
ntdll.dll!RtlIsDosDeviceName_U+0x24c87
ntdll.dll!LdrInitializeThunk+0xe
USER32.dll!DispatchMessageW+0x5c
emacs.exe+0x1db662 - w32_msg_pump at w32fns.c:2441
emacs.exe+0x1db8a0 - w32_msg_worker@4 at w32fns.c:2669
kernel32.dll!BaseThreadInitThunk+0x12
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36

TID: 7624
State: Wait:UserRequest
Stack:
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x6c0
wow64cpu.dll!TurboDispatchJumpAddressEnd+0x4a8
wow64.dll!Wow64SystemServiceEx+0x1ce
wow64.dll!Wow64LdrpInitialize+0x429
ntdll.dll!RtlUniform+0x6e6
ntdll.dll!RtlCreateTagHeap+0xa7
ntdll.dll!LdrInitializeThunk+0xe
ntdll.dll!ZwWaitForSingleObject+0x15
ntdll.dll!RtlIntegerToUnicodeString+0x20b
ntdll.dll!LdrGetDllHandleEx+0x29b
ntdll.dll!LdrGetDllHandle+0x18
ntdll.dll!RtlImageNtHeader+0x73a
ntdll.dll!RtlFreeHeap+0x7e
emacs.exe+0x137e   - ??:0
emacs.exe+0xdb4ce  - ?? at cygming-crtbegin.c:0
emacs.exe+0x16be6c - shut_down_emacs at emacs.c:1916
emacs.exe+0x1ac525 - Ffuncall at eval.c:2855
emacs.exe+0x16c64e - exec_byte_code at bytecode.c:905
emacs.exe+0x16c0a8 - funcall_lambda at eval.c:3023
emacs.exe+0x1ac525 - Ffuncall at eval.c:2904
emacs.exe+0x16c64e - exec_byte_code at bytecode.c:905
emacs.exe+0x16c0a8 - funcall_lambda at eval.c:3023
emacs.exe+0x165a23 - Ffuncall at eval.c:2904
emacs.exe+0x16bec1 - Fcall_interactively at callint.c:836
emacs.exe+0x1ac525 - Ffuncall at eval.c:2862
emacs.exe+0x16c64e - exec_byte_code at bytecode.c:905
emacs.exe+0x16c0a8 - funcall_lambda at eval.c:3023
emacs.exe+0x16b957 - Ffuncall at eval.c:2904
emacs.exe+0xddd7f  - call1 at eval.c:2654
emacs.exe+0x168cb4 - command_loop_1 at keyboard.c:1568
emacs.exe+0xdd20e  - internal_condition_case at eval.c:1339
emacs.exe+0x1685ce - command_loop_2 at keyboard.c:1161
emacs.exe+0xdd1c6  - internal_catch at eval.c:1113
emacs.exe+0xdc97d  - command_loop at keyboard.c:1141
emacs.exe+0xdcb39  - recursive_edit_1 at keyboard.c:779
emacs.exe+0xdae06  - Frecursive_edit at keyboard.c:844
emacs.exe+0x10fd   - main at emacs.c:1572
kernel32.dll!BaseThreadInitThunk+0x12
ntdll.dll!RtlInitializeExceptionChain+0x63
ntdll.dll!RtlInitializeExceptionChain+0x36

In GNU Emacs 24.3.50.1 (i686-pc-mingw32)
 of 2013-08-29 on LEG570
Bzr revision: 114068 [email-masked]
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --enable-checking 'CFLAGS=-O0 -g3' 'CPPFLAGS=-DGLYPH_DEBUG=1
 -I/c/usr/include''

-- 
Dani Moncayo